
version: '2'

services:
  php56:
    build:
      context: .
      dockerfile: docker/Dockerfile-php56
    volumes:
      - './spec/:/usr/src/gaufrette/spec/'
      - './src/:/usr/src/gaufrette/src/'
      - './tests/:/usr/src/gaufrette/tests/'
    depends_on:
      - mongodb
      - sftp
      - vsftpd
    env_file: .env

  php70:
    build:
      context: .
      dockerfile: docker/Dockerfile-php70
    volumes:
      - './spec/:/usr/src/gaufrette/spec/'
      - './src/:/usr/src/gaufrette/src/'
      - './tests/:/usr/src/gaufrette/tests/'
    depends_on:
      - mongodb
      - sftp
      - vsftpd
    env_file: .env

  php71:
    build:
      context: .
      dockerfile: docker/Dockerfile-php71
    volumes:
      - './spec/:/usr/src/gaufrette/spec/'
      - './src/:/usr/src/gaufrette/src/'
      - './tests/:/usr/src/gaufrette/tests/'
    env_file: .env
    depends_on:
      - mongodb
      - sftp
      - vsftpd

  hhvm:
    build:
      context: .
      dockerfile: docker/Dockerfile-hhvm
    volumes:
      - './spec/:/usr/src/gaufrette/spec/'
      - './src/:/usr/src/gaufrette/src/'
      - './tests/:/usr/src/gaufrette/tests/'
    env_file: .env
    depends_on:
      - mongodb
      - sftp
      - vsftpd

  mongodb:
    image: mongo

  sftp:
    build:
      context: docker
      dockerfile: Dockerfile-sftp

  vsftpd:
    build:
      context: docker
      dockerfile: Dockerfile-ftp
